質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.07%

rbenv installに失敗してしまう

受付中

回答 1

投稿

  • 評価
  • クリップ 1
  • VIEW 2,607

kozica

score 58

rbenv installすると下記のような結果になります。

どうか力を貸してほしいです、、、

$sudo yum -y install git
$ git clone https://github.com/sstephenson/rbenv.git ~/.rbenv

$ echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bash_profile
$ echo 'eval "$(rbenv init -)"' >> ~/.bash_profile
$ exec $SHELL -l
上記execコマンドを実行したら
コンピュータ名@ユーザ名:~$
の「コンピュータ名@ユーザ名」の部分が緑色から白に変わる理由もわからない。
また別ターミナル立ち上げて、そこで
rbenv --version
しても見つからないと言われるのもわからない
下記のように「exec」コマンドしたターミナルのみrbenvが使えている

$ rbenv --version
rbenv 1.1.1-39-g59785f6

$ git clone https://github.com/sstephenson/ruby-build.git ~/.rbenv/plugins/ruby-build

$ rbenv install -v 2.5.1
/tmp/ruby-build.20181130202228.14210 ~
Downloading ruby-2.5.1.tar.bz2...
-> https://cache.ruby-lang.org/pub/ruby/2.5/ruby-2.5.1.tar.bz2
2018-11-30 20:23:41 URL:https://cache.ruby-lang.org/pub/ruby/2.5/ruby-2.5.1.tar.bz2 [14000644/14000644] -> "ruby-2.5.1.tar.bz2" [1]
Installing ruby-2.5.1...
/tmp/ruby-build.20181130202228.14210/ruby-2.5.1 /tmp/ruby-build.20181130202228.14210 ~
checking for ruby... false
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/tmp/ruby-build.20181130202228.14210/ruby-2.5.1':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details

BUILD FAILED (Ubuntu 18.04 using ruby-build 20181106-14-g1ec9abd)

Inspect or clean up the working tree at /tmp/ruby-build.20181130202228.14210
Results logged to /tmp/ruby-build.20181130202228.14210.log

Last 10 log lines:
checking for ruby... false
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/tmp/ruby-build.20181130202228.14210/ruby-2.5.1':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

ruby-buildの公式wikiに推奨環境の構築方法が載っています

Ubuntuの場合

apt-get install autoconf bison build-essential libssl-dev libyaml-dev libreadline6-dev zlib1g-dev libncurses5-dev libffi-dev libgdbm5 libgdbm-dev

となっています。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.07%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る